This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 755040 - [abrt] evolution-3.2.1-2.fc16: __GI_raise: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.2.1-2.fc16: __GI_raise: Process /usr/bin/evolution was kil...
Status: CLOSED DUPLICATE of bug 756245
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:88fe49a2c5c91e175bd1c748c6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 11:21 EST by Paolo Leoni
Modified: 2011-12-12 05:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 05:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (33.23 KB, text/plain)
2011-11-18 11:21 EST, Paolo Leoni
no flags Details
File: maps (77.93 KB, text/plain)
2011-11-18 11:21 EST, Paolo Leoni
no flags Details

  None (edit)
Description Paolo Leoni 2011-11-18 11:21:28 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        evolution -c calendar
comment:        1. click on "open calendar" from calendar tab
crash_function: __GI_raise
executable:     /usr/bin/evolution
kernel:         3.1.1-1.fc16.x86_64
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
time:           Fri Nov 18 16:44:57 2011
uid:            1000
username:       paolo
var_log_messages: Nov 18 16:44:57 tiger abrt[7733]: saved core dump of pid 7727 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2011-11-18-16:44:57-7727 (52670464 bytes)

backtrace:      Text file, 34023 bytes
maps:           Text file, 79804 bytes

build_ids:
:e5d5469373e3a398567751f2a6c106cf3308a68b
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:89017ab0b75e533e4294f74ee8f7db3daceea536
:4eec47a8465db4f3207864ac4ab4f8608e8a6589
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:793bcb3206df6871bb355c1f3bf022aa8780b7e7
:7c72fa2a52ff178f09880ca97e5c4373284f3981
:6286ba46ef81fced55724b1dd6255731bf2cd7eb
:35b28d014659e2dbca460859b84c985e03695724
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:edebfad67bdac472272d049dc7ec302f47b02f32
:14c3891f2a70fc920d0ed4557753c0d90b765e3c
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:a2960147ad19dd5da7908715cddbc33e005dd309
:be5dc9f2c58d2d9ac130260ec23d68aa579ea49a
:aaf62304b0fc10611d35b4f56005479d4c58868d
:721b384313772b2eab4ee377b9e0b7bf82821bb1
:5765f3882b47cf4435202acd7640876d20b44de2
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:e00197fd41716ba040c25b4210f1a3a0eab95133
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:30208e0b20e44d2ff5a27b7ce643cfd03f307b4a
:400444fb368f79b54959b083f449a1497bf71c13
:376567a97a463859c28334ed8bf71262183298c2
:877418b2e4fcec28ddaf4416c084c14b7ace91bf
:b51f1ce65f6ddc0e6ade0c5d08a5add76edd93fc
:2da161d9f11b88a36642daa49bae0a8d9a416d21
:8991c6e253d80891dc2854eabbbe26dc7cd9ce75
:c3cc06ceb6e1a99743164a9db770a23d5a68dd47
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:017a0c9c46d30256c1d6af189b4809146ef312f6
:9c5fc54308e8cc8565588a5a13653544bcfad657
:180bf00a5996edd6121f13a17673245e994479b3
:35b27ed2c35a5d310f4abae8b524b5a73f0809c9
:91689252818532ec13597b6528d38be93b2706c4
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:3e2404bd469800afd61eda83d0292a2165ef0db0
:9ea81971c14b711655ced0a734db062ab7c4eec7
:921b64859b34786348daf376801c05efbf9bac81
:6c827aed0fb6c93acb6c2329a62f452ff83e9052
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:5247dd94e5eb5d90145d7a6b86ccc3e7a2624b23
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:5f68fecc89bbb7cf2200b4caed6fb26006a189b7
:88d586ed67ebe5227b761b4ab2e02433f29c840f
:80d1527bdbaa66a7f4467a3432a25332fb76758a
:15f584fdd25e0c3009a73ce078f9b31bac4acefc
:45e2ebdc4353f50d5d09681c338ac700abfb556b
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:a46b0a38788085e75997adb655c2ea095d45c22c
:e21d62a3622c3edb824299d83be75df8fdddbe53
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:8ca893c2cf400317322477c03e6b754bd2533a3a
:5bc2f7c6a917623607921d2ba64992fe52036c29
:b578859052e3e2c4c84a4e54ec25b11ecffbfc0d
:03f5a9c1b59532e4c9e1980eb0fff013f5d0e04a
:f0d50e3af2dfee021a327fb85a993a2312a98145
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:a2748a35d28f083d729359d9c06bc85158408ee3
:61ac3f383cec542ca2371917cef83b9a0648af70
:162e7de5d553b39188a8e39ab7bc40cf6072a901
:a1d935ebbbcc996a12e74043db8b282c3b4894ee
:55275ca59a72567576752125fdb8a906987fd5b6
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:d106c2063d2d12694d7a806cbd9030dcd905b6ec
:c953cbce426d612e0a04f33a1c43aae08680c700
:48aea888319e1848137073c9cbde54a4c2a731c9
:bb0e49a34a6f3a11e3660ce4427119f31264d5f6
:99ddef4f76112e50d0cf00cf6784092909de20bd
:38dade1e8dd5227c6eeb025364b9ed57f92557fa
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:be507c791e34415e8f42f0e6030c889b2895cf9a
:3d22dd762f2430ac679e61c98e8d856e5f3423ed
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:edc88d2641baca1380d409e5f48333c2b6cc6e1c
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:65de86e130779ad4bc6e264766f44ad1e3352b5c
:3e4ff70adbee84915b32e60da0a30e780db5a838
:c439d7310f913f768757be28e54d6cec1bf27572
:32cae3fe098ed2784663791b4a182a7a2bd8c362
:b67d01f9230119a215e7151dc3aa43428b886c8f
:32eeba9032ecead38442bdf6328d89464a151a7e
:951b6bb242336be75860604addacf1caacc8f10d
:98fa95d21e16075ada6df19748c6c133ee9165d0
:34b7964512e7197292839abae625453763c6f25b
:1729b1503ef5f6a5ca79be1978f4f9ce6296a319
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:3e96b34bf4c0a13ffdc833fe055482c7f72a6709
:ed91c88f5cf091545c29a32c54f3322017e2ccea
:7110c8ac5ea9a650cbf77c51e8cc1df7c407fafd
:d1dc8ff0072712d6cd4405141f0d25952359fe3a
:5d1c8c41a4461137ef84c514a33e5da3458f0de9
:701c8cd759f655fae8c102c779740becb24ee061
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c6739204320eb15bdcdba039a2b183298170403e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:2ada4647ad81bb9d4895372fca43593ba0c8c1fe
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:7109859fdd4912a7b36eea239079fd72b5575d18
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:0406dc93e5d067b98e166932201a6df7dde67888
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:a07d8451a42fb256942df953f790ded8f6b5b372
:c65e1de00c78e703586c745bec06c9b97a467f63
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:4c842320387ff7f6f91b7842b223c16518be909f
:7947878389f6a313c0b930260e12fd44bd6746fc
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:07470201df55a5254027d05fa4dc509b10f2986a
:bb3636bf7835bdbe2f27b7d80172bf1b1bbc884c
:87af0ff2815bf41b5c5889b916881c662ddd2569
:ca56875c949c202988da20b9793e1f36a85acfad
:c7674f333add0b7d8d8aa463ca54c2c2cc484c81
:5984e1ae57e72933cb7d42aec491ebe2ed6edcc6
:12a5051a387b1ce0e72b59c4fd53256c8a56df69
:3b50812827b755646178db9447ced77425add5d8
:08a9b31a0a4ae6745cc3c8f4b7bd5b1d14084607
:11307731c4aa95e08b6de3064d064a12d12dee8f
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:41c7c5713a1ff8a43af5ad8e4db749a5bf6ae044
:15c25336f081a938b4c7bdc13478f620c614242d
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:22318746e561bf92421c0d76e71be7a87cf7a726
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:969db74cda9ae012982ba09c1aa54c0c9f4d90be
:59e8e211755da6476a5ec69ff2587abafa32e057
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:e0cb7db3d004075e6e9a1abaf96a01594334f4ba
:2bfa33e067f0bf6b4a2101d854055669d2f97b2a
:a520442e1249d9bd3ba232aa20693870a5a686f1
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:daca679a303a2fedbf42ad11262ea0390f6c7492
:23127d1f271059affe0b612fbd2dc5851c02471f
:48d3cff26c916dff6cbcb5e67d5cf6d391f6ccca
:2636afe466ed20d65ac6d8fc08f1b120974f9ceb
:79389d6f18ecbbb5be013da5d0e28af492387d84
:87d891fdbe12cb57b0d36dfe91ed0a98016763b9
:4953d1f613914126bccceb3cb96386647ffba9df
:828852683bd589486d481603fbb23874a3c1dff2
:b492837dde7c9f97bee3e688aa7a2eb39ed1666a
:6f13c26d89e046503886eb277ba8216d6e5e82be
:94e29139152ba767534403cf94a672fe6b3fe515
:6ae3db62158626d4baa745c8dbc566ea31d40410
:3776dc2380e94cd25dbf108366fa3ca5371f7ecd
:e567a4b498aa9dfc484575e666a17925f0944318
:70700d6e36a83fc35ca94013b3275041d4a8ba44
:b77200bf76fd8c69a30220dd6709b244b215e829
:15c9947f55e36425585f929bc0c3505fd32aea89
:56d0d755b880afdd9ebf2c8c707282384fed90fd
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:ac5ea0635018ba16e0d047261dc2a2f1c6a7e427
:86ff85beabd9e18eaeab9e05638d732138ed9885
:650b733aecfb9c46bdfc023661f19244a278df04
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:84d610ac0e32a3237619aebd28699da1e8414615
:38cc9759fa35484f171a9905448e4a946eaa48d9

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/evolution/3.2/modules/libevolution-module-startup-wizard.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1320768312
:/usr/lib64/libnssckbi.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1320287336
:/lib64/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287361
:/usr/lib64/evolution/3.2/libgnomecanvas.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libidn.so.11.6.5 libidn-1.22-3.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/evolution/3.2/libessmime.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-itip-formatter.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1320287324
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/usr/lib64/evolution/3.2/modules/libevolution-module-composer-autosave.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1320287343
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-prefer-plain.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/libevolution-calendar.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libgoa-1.0.so.0.0.0 gnome-online-accounts-3.2.1-2.fc16.x86_64 (Fedora Project) 1320287364
:/usr/share/locale/it/LC_MESSAGES/evolution-data-server-3.2.mo evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1320287323
:/usr/lib64/evolution-data-server/camel-providers/libcamelimapx.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-2.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/evolution/3.2/libevolution-addressbook-importers.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.2-1.fc16.noarch (Fedora Project) 1321224167
:/lib64/libz.so.1.2.5 zlib-1.2.5-5.fc16.x86_64 (Fedora Project) 1321362108
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/evolution/3.2/libetimezonedialog.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.x86_64 (Fedora Project) 1320287301
:/usr/lib64/evolution/3.2/modules/libevolution-module-online-accounts.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-audio-inline.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.1-2.fc16.x86_64 (Fedora Project) 1320287372
:/usr/lib64/evolution/3.2/libeshell.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1320287343
:/usr/lib64/libedataserverui-3.0.so.1.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1320287307
:/usr/share/locale/it/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1320287311
:/usr/share/locale/it/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1320770583
:/usr/lib64/evolution/3.2/libecontacteditor.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1320287307
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1320287307
:/usr/lib64/libebook-1.2.so.12.3.1 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/liboauth.so.0.8.1 liboauth-0.9.4-1.fc16.x86_64 (Fedora Project) 1320287337
:/usr/lib64/evolution/3.2/libecontactlisteditor.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1320287311
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1320287354
:/usr/lib64/evolution/3.2/modules/libevolution-module-network-manager.so evolution-NetworkManager-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768327
:/usr/lib64/evolution/3.2/libeabutil.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-vcard-inline.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.1-2.fc16.x86_64 (Fedora Project) 1320287376
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1320287321
:/usr/lib64/evolution/3.2/libevolution-smime.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/share/locale/it/LC_MESSAGES/glib20.mo glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/share/locale/it/LC_MESSAGES/glib20.mo glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320769443
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1320287362
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.4-1.fc16.x86_64 (Fedora Project) 1320287364
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1320768268
:/usr/lib64/libenchant.so.1.6.0 enchant-1:1.6.0-3.fc16.x86_64 (Fedora Project) 1320287313
:/usr/lib64/evolution/3.2/libcomposer.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/libmenus.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/modules/libevolution-module-mailto-handler.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libnsl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-evolution-caldav.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/share/locale/it/LC_MESSAGES/gtk30.mo gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287361
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.7-1.fc16.noarch (Fedora Project) 1320287320
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libical.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1320287307
:/usr/lib64/libgailutil-3.so.0.0.0 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287361
:/usr/lib64/libedataserver-1.2.so.15.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/evolution/3.2/libemiscwidgets.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1320287304
:/usr/lib64/evolution/3.2/modules/libevolution-module-plugin-lib.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.x86_64 (Fedora Project) 1320287304
:/lib64/libselinux.so.1 libselinux-2.1.6-4.fc16.x86_64 (Fedora Project) 1320768262
:/usr/lib64/evolution/3.2/libemformat.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1320287320
:/usr/lib64/evolution/3.2/libeutil.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libebackend-1.2.so.1.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libgnome-desktop-3.so.2.0.2 gnome-desktop3-3.2.1-2.fc16.x86_64 (Fedora Project) 1320287372
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1320768268
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1320287312
:/lib64/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libgtkhtml-4.0.so.0.0.0 gtkhtml3-4.2.1-1.fc16.x86_64 (Fedora Project) 1320287369
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-evolution-google.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1320287336
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.10.1-2.fc16.x86_64 (Fedora Project) 1320287376
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1320287336
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/evolution/3.2/libfilter.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/evolution/3.2/modules/libevolution-module-calendar.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libsoftokn3.so nss-softokn-3.12.10-6.fc16.x86_64 (Fedora Project) 1320768315
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.x86_64 (Fedora Project) 1320287356
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1320287304
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/evolution/3.2/libetable.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/modules/libevolution-module-offline-alert.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libgtkhtml-editor-4.0.so.0.0.0 gtkhtml3-4.2.1-1.fc16.x86_64 (Fedora Project) 1320287369
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.20-1.fc16.x86_64 (Fedora Project) 1321615260
:/usr/share/locale/it/LC_MESSAGES/libc.mo glibc-common-2.14.90-14.x86_64 (Fedora Project) 1320287301
:/usr/lib64/evolution/3.2/libevolution-mail-importers.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/bin/evolution evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.3-1.fc16.x86_64 (Fedora Project) 1321015919
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.2-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1320287320
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-7.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libutil-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/evolution/3.2/libetext.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.7-1.fc16.noarch (Fedora Project) 1320287320
:/usr/lib64/libnsssysinit.so nss-sysinit-3.12.10-7.fc16.x86_64 (Fedora Project) 1320287336
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287361
:/usr/lib64/libgdata.so.13.1.1 libgdata-0.10.1-1.fc16.x86_64 (Fedora Project) 1320287337
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1320287307
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.7-5.fc16.x86_64 (Fedora Project) 1320287336
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1320287305
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/evolution/3.2/modules/libevolution-module-mail.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1320287306
:/usr/share/locale/it/LC_MESSAGES/atk10.mo atk-2.2.0-2.fc16.x86_64 (Fedora Project) 1320287306
:/usr/share/locale/it/LC_MESSAGES/atk10.mo atk-2.2.0-2.fc16.i686 (Fedora Project) 1320770576
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1320287336
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1320287362
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1320287307
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1320287306
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1320287323
:/lib64/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1320287295
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287316
:/usr/lib64/libicalvcal.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1320287307
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.1-2.fc16.x86_64 (Fedora Project) 1320287376
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1320287332
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libcamel-provider-1.2.so.29.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/evolution/3.2/libevolution-mail-settings.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-2.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/evolution/3.2/modules/libevolution-module-plugin-manager.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287302
:/usr/lib64/evolution/3.2/plugins/liborg-gnome-evolution-webdav.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1320287323
:/usr/lib64/evolution/3.2/libevolution-mail.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1320287304
:/usr/share/locale/it/LC_MESSAGES/GConf2.mo GConf2-3.2.3-1.fc16.x86_64 (Fedora Project) 1321015919
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320287308
:/usr/share/locale/it/LC_MESSAGES/evolution-3.2.mo evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/libicalss.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1320287307
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1320287305
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libecal-1.2.so.10.2.2 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libcamel-1.2.so.29.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1320287323
:/usr/lib64/evolution/3.2/libevolution-a11y.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution/3.2/libevolution-calendar-importers.so.0.0.0 evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276
:/usr/lib64/evolution-data-server/camel-providers/libcamelsmtp.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1320287367
:/usr/lib64/evolution/3.2/modules/libevolution-module-addressbook.so evolution-3.2.1-2.fc16.x86_64 (Fedora Project) 1320768276

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=tiger.lionsnet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6105956dee64b009a251653700000009-1321614521.274220-311317899
:GNOME_KEYRING_CONTROL=/tmp/keyring-M6H9Qj
:IMSETTINGS_MODULE=none
:USER=paolo
:USERNAME=paolo
:MAIL=/var/spool/mail/paolo
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/paolo/.local/bin:/home/paolo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/paolo
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1273
:LANG=it_IT.utf8
:GDM_LANG=it_IT.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/paolo
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=paolo
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-87MRLpOkDc,guid=13283c8c82503a5267514dcb0000001a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/paolo
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-paolo-hpg2aV/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1277,unix/unix:/tmp/.ICE-unix/1277
:GPG_AGENT_INFO=/tmp/keyring-M6H9Qj/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-M6H9Qj/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
Comment 1 Paolo Leoni 2011-11-18 11:21:33 EST
Created attachment 534421 [details]
File: backtrace
Comment 2 Paolo Leoni 2011-11-18 11:21:37 EST
Created attachment 534422 [details]
File: maps
Comment 3 Joe Hutley 2011-12-12 03:46:21 EST
I restarted and went in XFCE4, then clicked on Evolution from the Applications Menu and it crashed, stating the GConf daemon is currently shutting down.

rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 4 Dario Faggioli 2011-12-12 04:29:14 EST
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just trying to start Evolution from gnome-shell...
Comment 5 Milan Crha 2011-12-12 05:05:15 EST
Thanks for a bug report. This particular one had been reported already, thus I'm marking it as a duplicate.

Thread 1 (Thread 0x7f1b62d29980 (LWP 7727)):
#0  0x00000034264362a5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <optimized out>
        selftid = 7727
#1  0x0000003426437bbb in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fff0143ba20, sa_sigaction = 0x7fff0143ba20}, sa_mask = {__val = {224881867943, 12995092, 223983890784, 0, 224881968167, 224881968729, 13260160, 1, 223981093563, 0, 223980953769, 0, 223980515251, 140733214603248, 223983890784, 223983890784}}, sa_flags = 704868496, sa_restorer = 0x40}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x000000342a02fd85 in _dbus_abort () at dbus-sysdeps.c:94
        s = <optimized out>
#3  0x000000342a026e31 in _dbus_warn_check_failed (format=0x342a036010 "arguments to %s() were incorrect, assertion \"%s\" failed in file %s line %d.\nThis is normally a bug in some application using the D-Bus library.\n") at dbus-internals.c:289
        args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff0143ba50, reg_save_area = 0x7fff0143b980}}
#4  0x000000342a01895a in dbus_message_new_method_call (destination=0x345c0283e1 "org.gnome.GConf", path=0x0, interface=0x345c028427 "org.gnome.GConf.Database", method=0x345c028659 "SuggestSync") at dbus-message.c:1199
        message = <optimized out>
        __FUNCTION__ = "dbus_message_new_method_call"
#5  0x000000345c02193d in gconf_engine_suggest_sync (conf=0x946570, err=0x7fff0143bae8) at gconf-dbus.c:2026
        db = <optimized out>
        message = <optimized out>
        reply = <optimized out>
        error = {name = 0xc3fe90 "\020\220\303", message = 0x10 <Address 0x10 out of bounds>, dummy1 = 0, dummy2 = 0, dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 = 0x0}
        __PRETTY_FUNCTION__ = "gconf_engine_suggest_sync"
#6  0x000000345c01c197 in gconf_client_suggest_sync (client=0xa5a640, err=0x0) at gconf-client.c:1374
        error = 0xc39340
#7  0x00007f1b53dfc68d in online_accounts_google_sync_mail (evo_id=0xad2330 "1321631097.7727.21@tiger.lionsnet", goa_object=0x7f1b40006a80) at e-online-accounts-google.c:252
        goa_account = 0xca56e0
        account_list = 0xc0a6d0
        account = 0xab8cd0
        url = 0xf15870
        goa_mail = 0xca5580
        string = <optimized out>
        new_account = 1
#8  e_online_accounts_google_sync (goa_object=0x7f1b40006a80, evo_id=0xad2330 "1321631097.7727.21@tiger.lionsnet") at e-online-accounts-google.c:412
        goa_mail = 0xca5580
        goa_calendar = <optimized out>
        goa_contacts = <optimized out>
        __PRETTY_FUNCTION__ = "e_online_accounts_google_sync"
#9  0x00007f1b53dfbbeb in online_accounts_account_added_cb (goa_client=<optimized out>, goa_object=0x7f1b40006a80, extension=0xc59c00) at evolution-online-accounts.c:117
        goa_account = 0xca56e0
        provider_type = 0x7f1b54008210 "google"
        goa_id = 0x7f1b54008360 "account_1320768852"
        evo_id = 0xad2330 "1321631097.7727.21@tiger.lionsnet"
#10 0x00007f1b53dfc080 in online_accounts_connect_done (extension=0xc59c00, source_object=<optimized out>, result=<optimized out>) at evolution-online-accounts.c:387
        list = 0xc20a40
        link = 0xc20a40
#11 online_accounts_connect_done (source_object=<optimized out>, result=<optimized out>, extension=0xc59c00) at evolution-online-accounts.c:360
        error = 0x0
#12 0x0000003231c67d27 in g_simple_async_result_complete (simple=0xc2db00) at gsimpleasyncresult.c:749
        current_source = 0xf14db0
        current_context = 0xf14db0
        __PRETTY_FUNCTION__ = "g_simple_async_result_complete"
#13 0x0000003231c67db8 in complete_in_idle_cb_for_thread (_data=0xf34190) at gsimpleasyncresult.c:817
        data = 0xf34190
        simple = 0xc2db00
#14 0x0000003428444a7d in g_main_dispatch (context=0xf14db0) at gmain.c:2425
.....

*** This bug has been marked as a duplicate of bug 756245 ***

Note You need to log in before you can comment on or make changes to this bug.